<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Versiones taquigráficas', routerLink: '../../' }"
    [model]="[{ icon: 'pi pi-pencil', label: sesion, routerLink: './',queryParams: isView?{visualizar:true}:{}}]">
  </p-breadcrumb>
</div>
<div class="card p-3">
  <form novalidate>
    <div class="form-row">
      <div class="col-6 relative">
        <label for="">Fecha de la sesión:</label>
        <p-calendar styleClass="w-100" dataType="string" dateFormat="dd-mm-yy" [showIcon]="true"
          placeholder="Escriba o seleccione la fecha de la sesión" [yearNavigator]="true" [monthNavigator]="true"
          yearRange="1800:2030" id="fecha" name="sesion" [(ngModel)]="taquigrafica.fechaSesion"
          [disabled]="camposRestricted.includes('fechaSesion')">
        </p-calendar>
        <i *ngIf="taquigrafica.fechaSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.fechaSesion = ''"></i>
      </div>
      <div class="col-6 relative">
        <label for="">Duración de la sesión:</label>
        <p-inputMask mask="99:99" slotChar="hh:mm" placeholder="Escriba la duración de la sesión" styleClass="w-100"
          id="duracion" name="duracion" [(ngModel)]="taquigrafica.duracionSesion"
          [disabled]="camposRestricted.includes('duracionSesion')">
        </p-inputMask>
        <i *ngIf="taquigrafica.duracionSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.duracionSesion = ''"></i>
      </div>
      <div class="col-12 relative">
        <label for="">Número de Ministras y de Ministros que participaron en la sesión:</label>
        <input type="number" class="form-control" placeholder="Número de participantes en la sesión"
          autocapitalize="off" name="participantes" id="participantes"
          [(ngModel)]="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion"
          [disabled]="camposRestricted.includes('numeroMinistrasMinistrosParticiparonEnSesion')">
        <i *ngIf="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion = ''"></i>
      </div>
      <div class="col-12">
        <label class="my-2">Ministras y Ministros presentes en la sesión:</label>
        <ng-multiselect-dropdown [data]="catalogos.ministros" [placeholder]="'Seleccione las(os) Ministras(os)'"
          [settings]="configDropdown" name="presentes" id="presentes"
          [(ngModel)]="taquigrafica.nombreMinistrasMinistrosPresentesEnSesion" (onSelect)="removeAusente($event)"
          [disabled]="camposRestricted.includes('nombreMinistrasMinistrosPresentesEnSesion')">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12">
        <label class="my-2">Ministras y Ministros ausentes en la sesión:</label>
        <ng-multiselect-dropdown [data]="catalogos.ministros" [placeholder]="'Seleccione las(os) Ministras(os)'"
          [settings]="configDropdown" id="ausentes" name="ausentes"
          [(ngModel)]="taquigrafica.nombreMinistrasMinistrosAusentesEnSesion" (onSelect)="removePresente($event)"
          [disabled]="camposRestricted.includes('nombreMinistrasMinistrosAusentesEnSesion')">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12" id="list_asuntos">
        <label for="">Lista de asuntos: </label>
        <div class="list p-2" *ngIf="asuntos.length > 0;">
          <div class="list-item-rubro" *ngFor="let asunto of asuntos; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" (click)="deleteAsunto($event,asunto.idAsunto,i)"
                [ngClass]="{'not-avaliable': isEditAsunto,'collapse': isView}"></i>
              <a [ngClass]="{'collapse':isView}" [routerLink]="['asunto',asunto.idAsunto]"><i
                  class="pi pi-pencil"></i></a>
              <a [ngClass]="{'collapse':!isView}" [routerLink]="['asunto',asunto.idAsunto]"
                [queryParams]="{visualizar: true}"><i class="pi pi-eye"></i></a>
            </div>
            <p class="item-rubro">{{(i+1) + '. ' + asunto.tipoAsunto + ' ' + asunto.numeroExpediente}}</p>
          </div>
        </div>
        <div class="list" style="display: flex;" *ngIf="asuntos.length == 0">
          <p class="m-auto">No hay asuntos agregados</p>
        </div>
      </div>
      <div class="col-12 mt-4">
        <div class="d-flex align-items-center justify-content-center">
          <p-checkbox name="pdecano" [binary]="true" inputId="ny" [(ngModel)]="taquigrafica.hasPresidenteDecano"
            [disabled]="camposRestricted.includes('hasPresidenteDecano')">
          </p-checkbox>
          <p class="mx-2 mb-0" for="ny">Presidente Decano</p>
        </div>
      </div>
      <div class="col-12 mt-4 relative" *ngIf="taquigrafica.hasPresidenteDecano">
        <label>Presidente Decano</label>
        <p-dropdown [disabled]="!taquigrafica.fechaSesion" emptyFilterMessage="Sin resultados"
          [options]="ministros" optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true"
          optionValue="nombre" name="decano" id="decano" [(ngModel)]="taquigrafica.nombrePresidenteDecano"
          placeholder="Escriba o seleccione el presidente decano" styleClass="w-100">
        </p-dropdown>
        <!-- <input type="text" list="presidenteDecano" class="form-control" name="decano" id="decano" autocomplete="off"
          [(ngModel)]="taquigrafica.nombrePresidenteDecano" placeholder="Escriba o seleccione el presidente decano"
          (input)="validatePonente($event.target.value)" />
        <datalist id="presidenteDecano">
          <option [value]="ministro" *ngFor="let ministro of catalogos.ministros">
            {{ministro}}
          </option>
        </datalist>
        <i *ngIf="taquigrafica.nombrePresidenteDecano" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.nombrePresidenteDecano = ''; validPonente = true"></i>
        <p class="not-valid" *ngIf="!validPonente">No es un ponente válido del catálogo.</p> -->
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-between mt-3">
          <a routerLink="../../">
            <p-button styleClass="p-button-sm back" label="Volver" icon="pi pi-angle-left"></p-button>
          </a>
          <div>
            <p-button [ngClass]="{'collapse': isView}" icon="pi pi-book" label="Actualizar" styleClass="p-button-sm"
              (onClick)="updateTaquigrafica()">
            </p-button>
            <a [ngClass]="{'collapse': isView}" *ngIf="!camposRestricted.includes('asuntoAbordado')"
              [routerLink]="['asunto']">
              <p-button class="ml-3" icon="pi pi-pencil" label="Asignar asuntos" styleClass="p-button-sm">
              </p-button>
            </a>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
<p-confirmPopup></p-confirmPopup>
